import axios from "@/utils/request";

export function listCert(query) {
  return axios({
    url: "/anno/anncmnt/manu/cert/list",
    method: "get",
    params: query
  });
}


// 保存
export function saveCert(data, formName, method = "post") {
  let url =
    formName !== "edit"
      ? "/anno/anncmnt/manu/cert/save"
      : "/anno/anncmnt/manu/cert/edit";
  return axios({
    url: url,
    method: method,
    data: data
  });
}

// 删除
export function deleteCert(data) {
  return axios({
    url: "/anno/anncmnt/manu/cert/delete",
    method: "post",
    data: data
  });
}
