import axios from "@/utils/request";

export function list(query) {
  return axios({
    url: "/anno/anncmnt/ylqxzcr/list",
    method: "get",
    params: query
  });
}


// 保存
export function savegg(data, formName, method = "post") {
  let url =
    formName !== "edit"
      ? "/anno/anncmnt/ylqxzcr/save"
      : "/anno/anncmnt/ylqxzcr/edit";
  return axios({
    url: url,
    method: method,
    data: data
  });
}

// 删除
export function deletegg(data) {
  return axios({
    url: "/anno/anncmnt/ylqxzcr/delete",
    method: "post",
    data: data
  });
}


export function getYlqxzcrList(query) {
  return axios({
    url: "/anno/anncmnt/ylqxzcr/getList",
    method: "get",
    params: query
  });
}
