import axios from "@/utils/request";


export function filterCompany(query) {
  return axios(
    {
      url: "/udiwms/basic/manu/product/list",
      method: "get",
      params: query
    }
  )
}



export function updateCompany(query) {
  return axios({
    url: "/udiwms/basic/manu/product/update",
    method: "post",
    data: query
  });
}

export function addCompany(query) {
  return axios({
    url: "/udiwms/basic/manu/product/add",
    method: "post",
    data: query
  });
}



export function deleteCompany(query) {
  return axios({
    url: "/udiwms/basic/manu/product/delete",
    method: "post",
    data: query
  });
}







