import axios from "@/utils/request";

export function listCertType(query) {
  return axios({
    url: "/sup/cert/type/list",
    method: "get",
    params: query
  });
}

export function getCertType(query) {
  return axios({
    url: "/sup/cert/type/getCertType",
    method: "get",
    params: query
  });
}


// 保存
export function saveCertType(data, formName, method = "post") {
  let url =
    formName !== "edit"
      ? "/sup/cert/type/save"
      : "/sup/cert/type/edit";
  return axios({
    url: url,
    method: method,
    data: data
  });
}

// 删除
export function deleteCertType(data) {
  return axios({
    url: "/sup/cert/type/delete",
    method: "post",
    data: data
  });
}


