import axios from "@/utils/request";

export function listMonth(query) {
  return axios({
    url: "/stat/month/list",
    method: "get",
    params: query
  });
}


// 保存
export function saveMonth(data, formName, method = "post") {
  let url =
    formName !== "edit"
      ? "/stat/month/save"
      : "/stat/month/edit";
  return axios({
    url: url,
    method: method,
    data: data
  });
}

// 删除
export function deleteMonth(data) {
  return axios({
    url: "/stat/month/delete",
    method: "post",
    data: data
  });
}

