import axios from "@/utils/request";

export function listOrder(query) {
  return axios({
    url: "/stat/order/list",
    method: "get",
    params: query
  });
}


// 保存
export function saveOrder(data, formName, method = "post") {
  let url =
    formName !== "edit"
      ? "/stat/order/save"
      : "/stat/order/edit";
  return axios({
    url: url,
    method: method,
    data: data
  });
}

// 删除
export function deleteOrder(data) {
  return axios({
    url: "/stat/order/delete",
    method: "post",
    data: data
  });
}
