import request from "@/utils/request";


export function listYlqxzczh(query) {
  return request({
    url: "/user/cert/list",
    method: "get",
    params: query
  });
}


// 保存
export function saveYlqxzczh(data, formName, method = "post") {
  let url =
    formName !== "edit"
      ? "/sup/info/insertCompanyCert"
      : "/sale/sup/cert/audit";
  return request({
    url: url,
    method: method,
    data: data
  });
}

export function filterMyAuth(query) {
  return request({
    url: "/user/cert/filterMyAuth",
    method: "get",
    params: query
  });
}

export function batchAddAuth(data) {
  return request({
    url: "/user/cert/batchAddAuth",
    method: "post",
    data: data
  });
}


// 删除
export function deleteYlqxzczh(data) {
  return request({
    url: "/user/cert/delete",
    method: "post",
    data: data
  });
}


export function filterCompanyCert(param) {
  return request({
    //url: "/reg/company/cert/filterList",
    url: "/reg/company/cert/filterZcList",
    method: "get",
    params :param
  });
}


export function isertCert(param) {
  return request({
    url: "/reg/company/cert/isertCert",
    method: "post",
    data :param
  });
}

export function deleteCert(param) {
  return request({
    url: "/reg/company/cert/deleteCert",
    method: "post",
    data :param
  });
}

export function updateCert(param) {
  return request({
    url: "/reg/info/updateCert",
    method: "post",
    data :param
  });
}


export function getLocalCompanyCert(param) {
  return request({
    url: "/reg/company/cert/filterList",
    method: "get",
    params :param
  });
}
