import axios from "@/utils/request";

export function listJar(query) {
  return axios({
    url: "/sys/jar/list",
    method: "get",
    params: query
  });
}


// 保存
export function saveJar(data, formName, method = "post") {
  let url =
    formName !== "edit"
      ? "/sys/jar/save"
      : "/sys/jar/edit";
  return axios({
    url: url,
    method: method,
    data: data
  });
}

// 删除
export function deleteJar(data) {
  return axios({
    url: "/sys/jar/delete",
    method: "post",
    data: data
  });
}
