import axios from "@/utils/request";



//查询
export function listSet(query) {
  return axios({
    url: "/udi/autoSet/list",
    method: "get",
    params: query
  });
}



// 保存
export function saveSet(data, formName, method = "post") {
  let url =
    formName !== "edit"
      ? "/udi/autoSet/save"
      : "/udi/autoSet/edit";
  return axios({
    url: url,
    method: method,
    data: data
  });
}


// 删除
export function deleteSet(data) {
  return axios({
    url: "/udi/autoSet/delete",
    method: "post",
    data: data
  });
}
