import axios from "@/utils/request";

export function listPilot(query) {
  return axios({
    url: "/admin/company/pilot/list",
    method: "get",
    params: query
  });
}


// 保存
export function savePilot(data, formName, method = "post") {
  let url =
    formName !== "edit"
      ? "/admin/company/pilot/save"
      : "/admin/company/pilot/edit";
  return axios({
    url: url,
    method: method,
    data: data
  });
}

// 删除
export function deletePilot(data) {
  return axios({
    url: "/admin/company/pilot/delete",
    method: "post",
    data: data
  });
}


