import axios from "@/utils/request";

export function listYlqxzczh(query) {
  return axios({
    url: "/udiwms/basic/manu/ylqxzczh/list",
    method: "get",
    params: query
  });
}


// 保存
export function saveYlqxzczh(data, formName, method = "post") {
  let url =
    formName !== "edit"
      ? "/udiwms/basic/manu/ylqxzczh/save"
      : "/udiwms/basic/manu/ylqxzczh/edit";
  return axios({
    url: url,
    method: method,
    data: data
  });
}

// 删除
export function deleteYlqxzczh(data) {
  return axios({
    url: "/udiwms/basic/manu/ylqxzczh/delete",
    method: "post",
    data: data
  });
}


