import axios from "@/utils/request";

export function listYlqxzczh(query) {
  return axios({
    url: "/sup/cert/list",
    method: "get",
    params: query
  });
}

export function filterMyAuth(query) {
  return axios({
    url: "/sup/cert/filterMyAuth",
    method: "get",
    params: query
  });
}


// 保存
export function saveYlqxzczh(data, formName, method = "post") {
  let url =
    formName !== "edit"
      ? "/sup/cert/save"
      : "/sup/cert/edit";
  return axios({
    url: url,
    method: method,
    data: data
  });
}

export function batchAddAuth(data) {
  return axios({
    url: "/sup/cert/batchAddAuth",
    method: "post",
    data: data
  });
}


// 删除
export function deleteYlqxzczh(data) {
  return axios({
    url: "/sup/cert/delete",
    method: "post",
    data: data
  });
}


