import axios from "@/utils/request";

export function filterList(query) {
    return axios(
        {
            url: "/replicate/company/cert/filterList",
            method: "get",
            params: query
        }
    );
}

export function insertReplicate(query) {
  return axios(
    {
      url: "/replicate/company/cert/insertReplicate",
      method: "post",
      data: query
    }
  );
}

export function deleteReplicate(query) {
  return axios(
    {
      url: "/replicate/company/cert/deleteReplicate",
      method: "get",
      params: query
    }
  );
}

export function chceckCompany(query) {
  return axios(
    {
      url: "/replicate/company/cert/chceckCompany",
      method: "get",
      params: query
    }
  );
}

export function chceckMobile(query) {
  return axios(
    {
      url: "/replicate/company/cert/chceckMobile",
      method: "get",
      params: query
    }
  );
}

export function updateReplicate(query) {
  return axios(
    {
      url: "/replicate/company/cert/updateReplicate",
      method: "post",
      data: query
    }
  );
}

