import axios from "@/utils/request";

export function listSet(query) {
  return axios({
    url: "/stat/set/list",
    method: "get",
    params: query
  });
}


// 保存
export function saveSet(data, formName, method = "post") {
  let url =
    formName !== "edit"
      ? "/stat/set/save"
      : "/stat/set/edit";
  return axios({
    url: url,
    method: method,
    data: data
  });
}

// 删除
export function deleteSet(data) {
  return axios({
    url: "/stat/set/delete",
    method: "post",
    data: data
  });
}


