import axios from "@/utils/request";

export function listSetDetail(query) {
  return axios({
    url: "/stat/setDetail/list",
    method: "get",
    params: query
  });
}


// 保存
export function saveSetDetail(data, formName, method = "post") {
  let url =
    formName !== "edit"
      ? "/stat/setDetail/save"
      : "/stat/setDetail/edit";
  return axios({
    url: url,
    method: method,
    data: data
  });
}

// 删除
export function deleteSetDetail(data) {
  return axios({
    url: "/stat/setDetail/delete",
    method: "post",
    data: data
  });
}


export function getUdiProduct(query) {
  return axios({
    url: "/stat/setDetail/getUdiProduct",
    method: "get",
    params: query
  });
}
