import axios from "@/utils/request";


export function filterAuth(query) {
  return axios(
    {
      url: "/udiwms/user/auth/list",
      method: "get",
      params: query
    }
  )
}

export function filterRelAuth(query) {
  return axios(
    {
      url: "/udiwms/user/auth/filterRel",
      method: "get",
      params: query
    }
  )
}

export function batchAddAuth(query) {
  return axios({
    url: "/udiwms/user/auth/batchAdd",
    method: "post",
    data: query
  });
}



export function deleteAuth(query) {
  return axios({
    url: "/udiwms/user/auth/delete",
    method: "post",
    data: query
  });
}







