import axios from "@/utils/request";

export function listUd(query) {
  return axios({
    url: "/ud/info/list",
    method: "get",
    params: query
  });
}


// 保存
export function saveUd(data, formName, method = "post") {
  let url =
    formName !== "edit"
      ? "/ud/info/save"
      : "/ud/info/edit";
  return axios({
    url: url,
    method: method,
    data: data
  });
}

// 删除
export function deleteUd(data) {
  return axios({
    url: "/ud/info/delete",
    method: "post",
    data: data
  });
}

export function checkUd(data) {
  return axios({
    url: "/ud/info/check",
    method: "post",
    data: data
  });
}

export function allocateUd(data) {
  return axios({
    url: "/ud/info/allocate",
    method: "post",
    data: data
  });
}

