import axios from "@/utils/request";

export function listPlan(query) {
  return axios({
    url: "/ud/plan/list",
    method: "get",
    params: query
  });
}


// 保存
export function savePlan(data, formName, method = "post") {
  let url =
    formName !== "edit"
      ? "/ud/plan/save"
      : "/ud/plan/edit";
  return axios({
    url: url,
    method: method,
    data: data
  });
}

// 删除
export function deletePlan(data) {
  return axios({
    url: "/ud/plan/delete",
    method: "post",
    data: data
  });
}


export function updateStatusPlan(data) {
  return axios({
    url: "/ud/plan/updateStatus",
    method: "post",
    data: data
  });
}
