import axios from "@/utils/request";

//查询 -- 后端controller 带写
export function listSetDetail(query) {
  return axios({
    url: "/udi/autoSetDetail/list",
    method: "get",
    params: query
  });
}

// 保存
export function saveSetDetail(data, formName, method = "post") {
  let url =
    formName !== "edit"
      ? "/udi/autoSetDetail/save"
      : "/udi/autoSetDetail/edit";
  return axios({
    url: url,
    method: method,
    data: data
  });
}

// 删除
export function deleteSetDetail(data) {
  return axios({
    url: "/udi/autoSetDetail/delete",
    method: "post",
    data: data
  });
}


export function getUdiProduct(query) {
  return axios({
    url: "/udi/autoSetDetail/getUdiProduct",
    method: "get",
    params: query
  });
}
